TAAS - Feature #295

User Activity Report
02/02/2024 08:06 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 02/02/2024
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: User Activity Report

Description

Coding User Activity Report

History

#1 - 03/04/2024 06:16 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 03/05/2024 12:52 PM - Anil KV

=> GUI Change

-> User Mandatory and User

—> Document Activity List change

- Remove Created By Column

- Remove Action Date & Time Column
— Increase Action width

—> Master Activity List change

- Remove Created By Column

— Remove Action Date & Time Column
— Increase Action width

=> Document Activity SQL

SELECT MAX (bin_documents_id) AS bin_documents_id,

MAX (fk_branch_id) AS fk_branch_id,
MAX (fk_department_id) fk_department_id,

MAX (vhr_document_no) AS vhr_document_no,,
MAX (dat_document) AS dat_document,

MAX (vhr_account_code) AS vhr_account_code,
MAX (vhr_account_name) AS vhr_account_name,

ARRAY_AGG ('Created' || "#' || fk_created_user_id::text || '"#' || to_char (DATE dtm_created, 'DD/MM/Y
YYY') || '~Edited#' || fk_last_modified_user_id::text || '#' || to_char (DATE dtm_last_modified, 'DD/MM/YYYY')
|| '"~Deleted#' || fk_deleted_user_id::text || '"#' || to_char (DATE dtm_deleted, 'DD/MM/YYYY') || '~Prited#' ||
fk_printed_user_id::text || '#' || to_char (DATE dtm_printed, 'DD/MM/YYYY') ) arr_actions

FROM (
SELECT pk_documents_id AS bin_documents_id,
fk_branch_id,
fk_department_id,

vhr_document_no,
dat_document,
vhr_account_code,
vhr_account_name,

fk_created_user_id,

dtm_created,
fk_last_modified_user_id,
dtm_last_modified,
fk_deleted_user_id,
dtm_deleted,
NULL fk_printed_user_id,
NULL prl.dtm_printed
FROM document.tbl_documents doc
LEFT JOIN accounts.tbl_account ac
ON doc.fk_ledger_id = ac.pk_account_id
WHERE fk_branch_id =
AND fk_department_id
AND (fk_created_user_id = INPUT_USER_ID OR fk_last_modified_user_id = INPUT_USER_ID OR fk_deleted_user_id
= INPUT_USER_ID)
AND (dtm_created BETWEEN INPUT_ACTION_FROM AND INPUT_ACTION_TO OR dtm_last_modified BETWEEN INPUT_ACTION_F
ROM AND INPUT_ACTION_TO OR dtm_deleted BETWEEN INPUT_ACTION_FROM AND INPUT_ACTION_TO)
AND dat_document BETWEEN INPUT_DOCFROM AND INPUT_DOC_TO

UNION ALL

SELECT bin_documents_id,
fk_branch_id,
fk_department_id,

vhr_document_no,
dat_document,
vhr_account_code,
vhr_account_name,

fk_created_user_id,
dtm_created,
fk_last_modified_user_id,
dtm_last_modified,
fk_deleted_user_id,
dtm_deleted,
NULL fk_printed_user_id,
NULL prl.dtm_printed
FROM FROM tbl_documents_log docl
LEFT JOIN accounts.tbl_account ac
ON docl.fk_ledger_id = ac.pk_account_id
WHERE fk_branch_id =
AND fk_department_id
AND (fk_created_user_id = INPUT_USER_ID OR fk_last_modified_user_id = INPUT_USER_ID OR fk_deleted_user_id
= INPUT_USER_ID)
AND (dtm_created BETWEEN INPUT_ACTION_FROM AND INPUT_ACTION_TO OR dtm_last_modified BETWEEN INPUT_ACTION_F
ROM AND INPUT_ACTION_TO OR dtm_deleted BETWEEN INPUT_ACTION_FROM AND INPUT_ACTION_TO)
AND dat_document BETWEEN INPUT_DOCFROM AND INPUT_DOC_TO

UNION ALL

SELECT doc.pk_documents_id AS bin_documents_id,
doc. fk_branch_id,
doc.fk_department_id,

doc.vhr_document_no,
doc.dat_document,
doc.vhr_account_code,
doc.vhr_account_name,

NULL fk_created_user_id,
NULL dtm_created,
NULL fk_last_modified_user_id,
NULL dtm_last_modified,
NULL fk_deleted_user_id,
NULL dtm_deleted,
prl.fk_printed_user_id,
prl.dtm_printed,
FROM tbl_print_action_log prl
LEFT JOIN document.tbl_documents doc
ON prl.vhr_document_no doc.vhr_document_no
LEFT JOIN accounts.tbl_account ac
ON doc.fk_ledger_id = ac.pk_account_id
WHERE fk_branch_id =
AND fk_department_id
AND (fk_created_user_id = INPUT_USER_ID OR fk_last_modified_user_id = INPUT_USER_ID OR fk_deleted_user_id
= INPUT_USER_ID)
AND (dtm_created BETWEEN INPUT_ACTION_FROM AND INPUT_ACTION_TO OR dtm_last_modified BETWEEN INPUT_ACTION_F
ROM AND INPUT_ACTION_TO OR dtm_deleted BETWEEN INPUT_ACTION_FROM AND INPUT_ACTION_TO)
AND dat_document BETWEEN INPUT_DOCFROM AND INPUT_DOC_TO

UNION ALL

service.tbl_service
service.tbl_service_log

)

GROUP BY vhr_document_no
ORDER BY bin_documents_id

-> Action Column Value
LstAction = []

loop strAction in arr_actions
1lstl = strAction.split ("~")
loop strl in 1stl

lst2 = strl.split ("#")

IF 1st2 [1] == INPUT_USER_ID
LstAction.Add (1st2[0] + " (" + 1lst2[2] + ")" )

strAction = LstAction.join(', ")

=> Master Tab SQL

SELECT sin_ac_category,
vhr_account_code,
vhr_account_name,
fk_created_user_id,

dtm_created,
fk_last_modified_user_id,
dtm_last_modified,
fk_deleted_user_id,
dtm_deleted,

FROM accounts.tbl_account

UNION

settings.tbl_settings

UNION

localization.tbl_language

UNION

localization.tbl_country

UNION

[All INHERITS (tbl_action_user_and_date_time) non document and support doc tables]

—> Action Column Value

IF fk_created_user_id == INPUT_USER_ID

LstAction.Add ("Created (" + dtm_created.forat(..) + ")" )
IF fk_last_modified_user_id== INPUT_USER_ID

LstAction.Add ("Edited (" + dtm_last_modified.forat(..) + ")" )
IF fk_deleted_user_id== INPUT_USER_ID

LstAction.Add ("Deleted (" + dtm_deleted.forat(..) + ")" )

#3 - 03/05/2024 03:14 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#4 - 03/05/2024 03:47 PM - Junaid M

- Assignee changed from travvise Admin to Greeshma S
#5 - 05/16/2024 12:18 PM - Greeshma S
- Status changed from Ready for Coding to Coding Done
- % Done changed from 20 to 60

#6 - 05/16/2024 12:18 PM - Greeshma S
- Status changed from Coding Done to Coding Started
- % Done changed from 60 to 30

#7 - 05/25/2024 06:58 PM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#8 - 05/25/2024 07:42 PM - Greeshma S
- File master tab.txt added

#9 - 05/27/2024 09:55 AM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Show Data On Master Tab Created/Edited By The User
2.Missing Data In Document Tab

#10 - 05/28/2024 07:01 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#11 - 05/29/2024 04:47 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Precision
2.Freeze The Field User After Showing Data

#12 - 05/29/2024 07:56 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#13 - 06/04/2024 05:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Show Party/Account Code In Doc Activity

2.Fix Translation Bugs On Grid
3.Clear The Collapse Option From Grid Master Activity

#14 - 06/05/2024 09:54 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 06/05/2024 06:26 PM - unnikannan S
TESTING DONE

#16 - 07/27/2024 05:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Saved Master Accounts Data While Searching With Current Action Date

#17 - 07/27/2024 06:32 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#18 - 07/29/2024 09:48 AM - unnikannan S
TESTING DONE

#19 - 07/29/2024 10:02 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Showing Message No Data In Case Of Data In Master Tab
2.Clear Text Mode From Print

#20 - 07/29/2024 06:19 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 08/01/2024 05:01 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED:
1)CLEAR DATA ON MASTER TAB UPON CLICKING RESET BUTTON

#22 - 08/01/2024 05:11 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 10/07/2024 09:41 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Validation For Action From Date In Ul

#24 - 10/08/2024 07:01 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#25 - 11/15/2024 07:25 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
#26 - 03/06/2025 01:23 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Add redirection to the document no:
2. Not showing customer which have done AR sharing with another customer.

#27 - 03/07/2025 06:58 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 03/14/2025 02:11 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)In master tab seperate entry for received and paid cheque when any doc with this master used as fop

#29 - 03/14/2025 06:06 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 03/18/2025 04:13 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)On redirection by clicking the doc number ,data is not loading in respective module

#31 - 03/18/2025 05:57 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 03/26/2025 11:15 AM - Arathy PS
- File clipboard-202503261114-xsqgbc.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. If action date is before doc date then no validation.
2. Not showing data based on both action date and doc date.
3. Amount not changing as per after AR sharing is done.

User Activity Report 29~ =~ Mem - _

Action Date”  26/03/2025 26/03/2025 Branch®  pranc

Document Date  26/03/2025 26/03/2025 Department

User*

Document | Master

Doc No Doc Date Party/Account Currency Amount ~ Action

INV/005 26/03/2025 I[usmz:AsHARAF ASRIF KHAN QAR 251500 l(veated by NEW USER (26/03/2025 10:47:52), Edited by NEW USER (26/03/2025 11:08:32)

INV/005#1 26/03/2025 CUSO03:ASMAAN AJAZ SEHAR QAR 31500  Created by NEW USER (26/03/2025 11:0832)
#33 - 03/27/2025 06:05 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

master tab.txt 1.53 KB 05/25/2024 Greeshma S

clipboard-202503261114-xsgbc.png 95.5 KB 03/26/2025 Arathy PS
